Bug 296751 - sendmail update deletes /etc/aliases.db
sendmail update deletes /etc/aliases.db
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-19 14:21 EDT by W.C. Martin
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-24 10:22:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description W.C. Martin 2007-09-19 14:21:48 EDT
Description of problem:
The recent RPM update to sendmail on Fedora 7 resulted in removal of the
/etc/aliases file even though it was being used by postfix.

Version-Release number of selected component (if applicable):

How reproducible:
sendmail was installed, but not running.  Instead, postfix had been installed
and made active by using system-switch-mail.

Previous yum updates had been done on September 15, 2007.

Steps to Reproduce:
1. install f7 with updates to 2007-09-15
2. install postfix and run system-switch-mail to make it active
3. run newaliases
4. install sendmail update as of 2007-09-19

Actual results:
/etc/aliases.db disappears

Expected results:
leave /etc/aliases.db alone

Additional info:
May be related to bug id 223637?
Comment 1 Thomas Woerner 2007-09-24 10:22:59 EDT
This was a problem in the old sendmail package and has been fixed in the the new

Note You need to log in before you can comment on or make changes to this bug.